<?php
/*
Plugin Name: Old browser detector
Description: It detects old browsers and suggest the users upgrading their browser
Author: Jose Mortellaro
Author URI: https://josemortellaro.com/
Text Domain: obd
Domain Path: /languages/
Version: 0.0.1
*/
/*  This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
register_shutdown_function ( 'eos_obd_detect_old_browsers' );
function eos_obd_detect_old_browsers(){
	?>
	<!--googleoff: index-->
	<div id="eos-obd-notice" style="display:none;background:#000;color:#fff;text-align:center;position:fixed;left:0;right:0;top:0;min-height:40px"><?php esc_html_e( 'Your browser is outdated. For a safer and more pleasant navigation it would be better you update your browser.','obd' ); ?></div>
	<div id="eos-obd-dummy-el" style="opacity:0"></div>
	<!--googleon: index-->
	<script>
		var obdEl = document.getElementById('eos-obd-notice'),
			obdDummyEl = document.getElementById('eos-obd-dummy-el');
		if('undefined' === typeof(window.getComputedStyle) || 'undefined' === typeof(obdDummyEl.style.boxSizing)){
			obdEl.style.display = 'block';
		}
		else{
			obdDummyEl.style.display = 'flex';	
			obdDummyEl.style.boxSizing = 'border-box';
			var obdDummyElStyle = window.getComputedStyle(obdDummyEl,null),
				obdDummyElDisplay = obdDummyElStyle.getPropertyValue('display'),
				obdDummyElBoxSizing = obdDummyElStyle.getPropertyValue('box-sizing');
			obdEl.style.display = obdDummyElDisplay !== 'flex' || 'undefined' === obdDummyElBoxSizing ? 'block' : 'none';
		}
	</script>
	<?php
}
add_action( 'plugins_loaded', 'eos_obd_load_dp_plugin_textdomain' );
function eos_obd_load_dp_plugin_textdomain(){
	add_filter( 'load_textdomain_mofile', 'eos_obd_load_translation_file',99,2 ); //loads plugin translation files
	load_plugin_textdomain( 'obd', FALSE,untrailingslashit( dirname( __FILE__ ) ) . '/languages/' );
}
function eos_obd_load_translation_file( $mofile, $domain ) {
	if ( 'obd' === $domain ) {
		$loc = function_exists( 'get_user_locale' ) ? get_user_locale() : get_locale();
		$mofile = untrailingslashit( dirname( __FILE__ ) ) . '/languages/obd-' . $loc . '.mo';
	}
	return $mofile;
}	